// Knuth shuffle - https://github.com/Daplie/knuth-shuffle
function shuffle(array) {
  var currentIndex = array.length, temporaryValue, randomIndex;

  // While there remain elements to shuffle...
  while (0 !== currentIndex) {

    // Pick a remaining element...
    randomIndex = Math.floor(Math.random() * currentIndex);
    currentIndex -= 1;

    // And swap it with the current element.
    temporaryValue = array[currentIndex];
    array[currentIndex] = array[randomIndex];
    array[randomIndex] = temporaryValue;
  }

  return array;
}

function absdiffsum(arr1, arr2) {
  var sum = 0;
  for (var i=0; i<arr1.length; i++) {
    sum += Math.abs(arr1[i] - arr2[i]);
  }
  return sum;
}


var original = [15,1,14,3,4,13,9,2,12,5,10,11,8,6,7];
var sample = [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15];

var results = [];

for (var i=0; i<500; i++) {
  results.push(absdiffsum(original, sample));
  shuffle(sample);
}

results.sort(function(a, b){return a - b});

for (var i=1; i<20 && results.length > 0; i++) {
    var line = `< ${i*10} | `;
    while (results.length > 0 && results[0] < i*10) {
        line += '*'
        results.shift();
    }
    console.log(line);
}
